Bug 216325 - audio/cmus: Update to 2.8.0-rc0
Summary: audio/cmus: Update to 2.8.0-rc0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords: patch
Depends on:
Blocks: 214475
  Show dependency treegraph
 
Reported: 2017-01-20 17:10 UTC by Tobias Kortkamp
Modified: 2017-04-10 13:26 UTC (History)
2 users (show)

See Also:


Attachments
audio___cmus.diff (8.37 KB, patch)
2017-01-20 17:10 UTC, Tobias Kortkamp
tobik: maintainer-approval+
Details | Diff
audio___cmus.diff (12.02 KB, patch)
2017-01-22 03:48 UTC, Tobias Kortkamp
tobik: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2017-01-20 17:10:22 UTC
Created attachment 179148 [details]
audio___cmus.diff

This is a release candidate for the next version, but it works well so I see no reason to hold it back.

This also fixes bug #214475.

Changes: https://github.com/cmus/cmus/releases/tag/v2.8.0-rc0
Synth test log: https://pkg.tobik.me/logs/audio___cmus.log
Comment 1 Tobias Kortkamp freebsd_committer 2017-01-22 03:48:24 UTC
Created attachment 179199 [details]
audio___cmus.diff

There are issues with playing 24-bit (FLAC) files with the sndio and OSS output plugins.  I've proposed some patches for this:

https://github.com/cmus/cmus/pull/613
https://github.com/cmus/cmus/pull/614

The update should not be committed until this is fixed.
Comment 2 Carlos J. Puga Medina freebsd_committer 2017-02-15 15:14:43 UTC
Change the assignee, since Tobias has acquired a ports commit bit.
Comment 3 commit-hook freebsd_committer 2017-04-10 13:26:22 UTC
A commit references this bug:

Author: tobik
Date: Mon Apr 10 13:25:24 UTC 2017
New revision: 438165
URL: https://svnweb.freebsd.org/changeset/ports/438165

Log:
  Update to 2.8.0-rc0

  - Fix build with devel/ncurses installed [1], which erroneously
    redefines _POSIX_C_SOURCE as 200112L globally via its pkg-config
    file and hides strndup from cmus.  A workaround for this was applied
    to cmus in DPorts commit d2907fe but it never made it back to
    FreeBSD.

  Changes:	https://github.com/cmus/cmus/releases/tag/v2.8.0-rc0

  PR:		216325, 214475 [1]
  Reported by:	Oleg Gushchenkov <gor@clogic.com.ua> [1]
  Approved by:	mat (mentor)
  Differential Revision:	https://reviews.freebsd.org/D10242

Changes:
  head/audio/cmus/Makefile
  head/audio/cmus/distinfo
  head/audio/cmus/files/patch-Makefile
  head/audio/cmus/files/patch-configure
  head/audio/cmus/files/patch-ffmpeg.c
  head/audio/cmus/files/patch-ip_mp4.c
  head/audio/cmus/files/patch-mp4.c
  head/audio/cmus/files/patch-sndio.c
  head/audio/cmus/pkg-plist